List Bank Statements by External ID
Financial
List Bank Statements by External ID
List bank statement requests by your external reference ID
GET
List Bank Statements by External ID
Documentation Index
Fetch the complete documentation index at: https://sc-docs.deepidv.com/llms.txt
Use this file to discover all available pages before exploring further.
Request
Headers
| Header | Required | Description |
|---|---|---|
x-api-key | Yes | Your API key |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
externalId | string | Yes | Your external reference ID |
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
nextToken | string | No | Pagination token from a previous response |
Example request
Response
200 — Success
| Field | Type | Description |
|---|---|---|
bankStatements | array | Array of bank statement summary objects |
nextToken | string | null | Pagination token to fetch the next page. null when no more results |
Bank statement summary object
| Field | Type | Description |
|---|---|---|
id | string | Unique bank statement identifier |
organizationId | string | Organization that owns this request |
userId | string | User ID of the applicant |
senderUserId | string | User ID of the person who created the request |
status | string | PENDING, IN_PROGRESS, FLINKS_IN_PROGRESS, or COMPLETED |
type | string | request or upload |
Config | object | Request configuration (e.g. { "period": "6" }) |
createdAt | string | ISO 8601 creation timestamp |
updatedAt | string | ISO 8601 last-updated timestamp |
Error responses
| Status | Description |
|---|---|
400 Bad Request | Invalid external ID or query parameters |
401 Unauthorized | Missing or invalid API key |
403 Forbidden | Bank statements belong to a different organization |
404 Not Found | No bank statements found with the given external ID |
429 Too Many Requests | Rate limit exceeded |
